> For the complete documentation index, see [llms.txt](https://docs.aviator.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.aviator.co/mergequeue/how-to-guides/customize-sticky-comments.md).

# How to Customize Sticky Comments

Aviator uses [<mark style="color:blue;">sticky comments</mark>](/mergequeue/concepts/sticky-comments.md) to give you the status of a PR within GitHub.

You can customize the sticky comment to show up when the PR is created, when it’s ready for review, or when it’s queued. You can also add your custom messages that could be helpful to link your own FAQs or self help documents for your team.

Here’s a sample config, see `merge_rules.status_comment` in [<mark style="color:blue;">the schema documentation</mark>](https://app.aviator.co/schema/index.html#aviator_config_yaml.json).

```
merge_rules:
  status_comment:
    # Optional. Valid values are "always", "ready", "queued", or "never".
    # Default value is "always".
    publish: "always"
    # A message to include when the pull request is in the open state.
    open_message: "..."
    # A message to include when the pull request is in the queued state.
    queued_message: "..."
    # A message to include when the pull request is in the blocked state.
    blocked_message: "..."

```

`publish` controls when the comment is first posted:

* `always` - post the comment when the pull request is opened. This is the default.
* `ready` - post the comment once the pull request is out of draft.
* `queued` - post the comment only once the pull request is queued.
* `never` - do not post the comment.

Once the comment has been posted, it is updated in place for the rest of the pull request lifecycle regardless of this setting.

{% hint style="info" %}
Pull requests that are part of a stack always get a sticky comment when they are opened, since the comment carries the stack information. `publish` does not apply to them.
{% endhint %}

Comments are enabled by default in your repository, you can modify this configuration from the config file:

```
merge_rules:
  enable_comments: true
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.aviator.co/mergequeue/how-to-guides/customize-sticky-comments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
